Subject: Re: bug#34088: 26.1; OPascal mode some comment delimiters use the wrong face

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 May 2021 15:52:19 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> The two braces uses faces that look identical, but they are indeed
> different faces.  The following patch fixes the test case, but I don't
> really know Objective Pascal at all.  For reference, this is what
> pascal.el says about comments:
>
>   (setq-local comment-start "{")
>   (setq-local comment-start-skip "(\\*+ *\\|{ *")
>   (setq-local comment-end "}")
>
> I've added Simon the the CCs; perhaps he has some insight here.

There was no response within a few months, but the change seems to fix
the reported problem, so I've now pushed the change to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no